# Method: userRolePermissions.get

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissions/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissions/get#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissions/get#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissions/get#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissions/get#try-it)

Gets one user role permission by ID.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/userRolePermissions/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` User role permission ID. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissions#UserRolePermission`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`